<?php
/*
* @Package: template.
* @Author: CreativeRoom - Maciej Łotysz
* @Author e-mail: kontakt@creativeroom.pl
* @Author www: http://www.creativeroom.pl/
* Copyright (C) 2015 CreativeRoom, Inc. All rights reserved.
*/
defined('_JEXEC') or die;

?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" >
	<head>
            <?php JFactory::getDocument()->setGenerator(''); ?>


            <jdoc:include type="head" />
            <meta name="viewport" content="width=device-width, minimum-scale=0.25, maximum-scale=1.6, initial-scale=1.0" /> 
            <meta name="apple-mobile-web-app-capable" content="yes" /> 

            <link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />        
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/bootstrap.min.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/font-awesome.min.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/tm_docs.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/style.css" type="text/css" />
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/fancybox/jquery.fancybox.css?v=2.1.5" type="text/css" />
            <link href='http://fonts.googleapis.com/css?family=Ubuntu:400,300,300italic,400italic,500,500italic,700,700italic&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
                      
            <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/slicknav/slicknav.min.css">	
            
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/bootstrap.min.js" type="text/javascript"></script>
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/fancybox/jquery.fancybox.pack.js?v=2.1.5" type="text/javascript"></script>
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/jquery.form-validator.min.js" type="text/javascript"></script>
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/jquery.form-validator.langPL.js" type="text/javascript"></script>		
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/angular.min.js" type="text/javascript"></script>    
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/script.js" type="text/javascript"></script>
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/kontakt.js" type="text/javascript"></script>
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/slicknav/jquery.slicknav.min.js" type="text/javascript"></script>
            
            <script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyD3PP-4Kdsi8_Z-1m-Ixi7dAH-xAgud0PI&sensor=false"></script>	

</head>
	<body>
            <!--[if lt IE 8]>
            <style> 
          html body div#topwrapper div#top.container_16 ul#topmenu li { float: right; }  
          html body div#topwrapper div#top.container_16 ul#topmenu li a { display: block; }  
            </style>
            <div style='border: 1px solid #F7941D; background: #FEEFDA; text-align: center; clear: both; height: 75px; position: relative; z-index: 1000'>
              <div style='position: absolute; right: 3px; top: 3px; font-family: courier new; font-weight: bold;'><a href='#' onclick='javascript:this.parentNode.parentNode.style.display="none"; return false;'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-cornerx.jpg' style='border: none;' alt='Close this notice'/></a></div>
              <div style='width: 640px; margin: 0 auto; text-align: left; padding: 0; overflow: hidden; color: black;'>
                <div style='width: 75px; float: left;'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-warning.jpg' alt='Warning!'/></div>
                <div style='width: 275px; float: left; font-family: Arial, sans-serif;'>
                  <div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>Używasz przestarzałej przeglądarki</div>
                  <div style='font-size: 12px; margin-top: 6px; line-height: 12px;'>Dla lepszego działania strony należy uaktualnić przeglądarkę do nowocześniejszej.</div>
                </div>
                <div style='width: 75px; float: left;'><a href='http://www.firefox.com' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-firefox.jpg' style='border: none;' alt='Get Firefox 3.5'/></a></div>
                <div style='width: 75px; float: left;'><a href='http://www.browserforthebetter.com/download.html' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-ie8.jpg' style='border: none;' alt='Get Internet Explorer 8'/></a></div>
                <div style='width: 73px; float: left;'><a href='http://www.apple.com/safari/download/' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-safari.jpg' style='border: none;' alt='Get Safari 4'/></a></div>
                <div style='float: left;'><a href='http://www.google.com/chrome' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-chrome.jpg' style='border: none;' alt='Get Google Chrome'/></a></div>
              </div>
            </div>
            <![endif]-->  
            
            <?php /* <div id="debug"></div> */ ?>
            
            <div class="bgAll"></div>
            
            <div class="all">
            
                <div class="top-00">
                    <div class="container">
                        <div class="top-container row">  
                            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 top-logo">
                                <a href="<?php echo $this->baseurl; ?>">
                                    <img class="top-logo-img" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/logo.png" alt="" />
                                </a>
                            </div>
                            <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 top-cart">
                                <jdoc:include type="modules" name="topcart" style="xhtml"/>
                            </div>
                        </div>
                    </div>
                </div>                 
                
                <div class="top-01">
                    <div class="container">
                        <div class="top-container row">
                            <div class="col-lg-8 col-md-9 col-sm-12 col-xs-12 top-menu">
                                <a href="<?php echo $this->baseurl; ?>">
                                    <i class="fa fa-home"></i>
                                </a>
                                <jdoc:include type="modules" name="topmenu" style="xhtml"/>
                            </div>
                            <div class="col-lg-4 col-md-3 col-sm-12 col-xs-12 top-search">
                                <jdoc:include type="modules" name="topsearch" style="xhtml"/>
                            </div>
                        </div>
                    </div>
                </div>
                              
                <div class="rotator">
                    <div class="row">  
                        <div class="col-lg-12 col-md-12 rotator-top">
                            <jdoc:include type="modules" name="rotator" style="xhtml"/>
                        </div>
                    </div>
                </div> 
                
                <div class="content">
                    <div class="container">
                        <div class="content-container row"> 
                            <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 leftmenu">
                                <jdoc:include type="modules" name="leftmenu" style="xhtml"/>
                                <div id="main-menu-m-w" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 main-menu-m-w noPaddingLeft noPaddingRight"></div>	
                                <div id="main-menu-m-s" class="col-lg-12 col-md-12 col-sm-12 col-xs-12 main-menu-m-s noPaddingLeft noPaddingRight"></div>	
                            </div>
                            <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12 rightcol">
                                <?php 
                                    $app = JFactory::getApplication();
                                    $menu = $app->getMenu();
                                    if ($menu->getActive() == $menu->getDefault())
                                    {
                                        echo '<jdoc:include type="modules" name="content-before-rotator" style="xhtml"/>';
                                    }
                                ?>
                                
                                <jdoc:include type="modules" name="content-before" style="xhtml"/>
                                <?php 
                                    if($menu->getActive() != $menu->getDefault())
                                    {
                                        echo '<jdoc:include type="component" />';
                                    }
                                ?>
                                <jdoc:include type="modules" name="content-after" style="xhtml"/>
                            </div>
                        </div>
                    </div>
                </div>  
                
                <div class="footer-00">
                    <div class="container">
                        <div class="footer-container row">  
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-6">
                                <jdoc:include type="modules" name="footermenu1" style="xhtml"/>
                            </div>     
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-6">
                                <jdoc:include type="modules" name="footermenu2" style="xhtml"/>
                            </div>   
                            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 footerinfo">
                                <jdoc:include type="modules" name="footerinfo" style="xhtml"/>
                            </div>                              
                        </div>
                    </div>
                </div>  
                
                <div class="footer-01">
                    <div class="container">
                        <div class="footer-container row">  
                            <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
                                <h5>Copyright © <?php echo date("Y"); ?> Sklep Medyczny Mrągowo</h5>
                            </div>
                            <div class="col-lg-6 col-md-6"></div>
                            <div class="col-lg-2 col-md-2 col-sm-12 col-xs-12">
                                <a target="_blank" style="margin-bottom: 5px; margin-top: 8px; width: 116px; height: 18px;" href="http://www.creativeroom.pl" class="pull-right creativeroom www.creativeroom.pl" title="strony internetowe olsztyn, tworzenie stron olsztyn, pozycjonowanie stron olsztyn" rel="author"> 
                                    <img style="width: 116px; height: 18px;" src="http://creativeroom.pl/creativeroom_logo_jasne.png" alt="strony internetowe mrągowo, tworzenie stron mrągowo, pozycjonowanie stron mrągowo" title="strony internetowe olsztyn, tworzenie stron olsztyn, pozycjonowanie stron olsztyn">
                                </a>                                
                            </div>
                        </div>
                    </div>
                </div>                  
                
            </div>
	
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/scriptBody.js" type="text/javascript"></script>
	</body>
</html>

