<?php

defined('_JEXEC') or die('Restricted access');

//define( '_JEXEC', 1 );
//define('JPATH_BASE', dirname(dirname(dirname(__FILE__))) );
require_once ( JPATH_BASE.DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'defines.php' );
require_once ( JPATH_BASE.DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'framework.php' );
require_once ( JPATH_BASE.DIRECTORY_SEPARATOR.'libraries'.DIRECTORY_SEPARATOR.'joomla'.DIRECTORY_SEPARATOR.'factory.php' );


class sendMail {
    private $_mailer = null;
    private $_config = null;
        
    public function __construct() 
    {
        $this->_mailer = JFactory::getMailer();
        $this->_config = JFactory::getConfig();
    }
    
    public function sendMail($recipient, $subject, $body)
    {
        $sender = array( 
            $this->_config->get( 'config.mailfrom' ),
            $this->_config->get( 'config.fromname' ) );

        $this->_mailer->setSender($sender);    
        
        $this->_mailer->addRecipient($recipient);       
        
        $this->_mailer->isHTML(true);
        $this->_mailer->Encoding = 'base64';
        $this->_mailer->setSubject($subject);      
        $this->_mailer->setBody($body);        
        
        $send =  $this->_mailer->Send();
        if ( $send !== true ) {
            echo 'Error sending email: ' . $send->__toString();
        } else {
            echo 'Mail sent';
        }        
    }
}