<?php
// no direct access
defined('_JEXEC') or die('Restricted access');
// add javascript for price and cart, need even for quantity buttons, so we need it almost anywhere
vmJsApi::jPrice();


$col = 1;
$pwidth = ' width' . floor(100 / $products_per_row);
if ($products_per_row > 1)
{
    $float = "floatleft";
} else
{
    $float = "center";
}
?>
<div class="vmgroup<?php echo $params->get('moduleclass_sfx') ?>">

    <?php if ($headerText)
    {
        ?>
        <div class="vmheader"><?php echo $headerText ?></div>
        <?php
    }
    if ($display_style == "div")
    {
        ?>
        <div class="vmproduct<?php echo $params->get('moduleclass_sfx'); ?> productdetails">
            <?php 
            foreach ($products as $product) 
            { 
			
				$WYPOZYCZALNIA = ($product->canonCatId == 33) ? true : false;
            ?>
                <?php
                if (!empty($product->images[0]))
                {
                    $image = $product->images[0]->displayMediaThumb('class="featuredProductImage" border="0"', FALSE);
                } 
                else
                {
                    $image = '';
                }
                $url = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id);
                ?>
            
                <div class="product vm-col vm-col-3 vertical-separator">
                    <div class="spacer">
                        <div class="vm-product-media-container">
                            <a href="<?php echo $url; ?>" title="<?php echo $product->product_name ?>">
                                <?php echo $image; ?>
                            </a>
                        </div>

                        <div class="vm-product-descr-container-1">
                            <h2><a href="<?php echo $url; ?>"><?php echo $product->product_name ?></a></h2>
                            <p class="product_s_desc"><?php echo shopFunctionsF::limitStringByWord ($product->product_s_desc, 60, ' ...') ?></p>
                        </div>

                        <div class="vm3pr-3">
                            <?php echo number_format($product->prices['salesPrice'], 2, '.', ' '); ?> PLN <?php if($WYPOZYCZALNIA){ echo " / M-C"; } ?>
                            <div class="clear"></div>
                        </div>

                        <div class="vm-details-button">
                            <a class="product-details" title="<?php echo $product->product_name ?>" href="<?php echo $url; ?>">
                                <i class="fa fa-shopping-cart"></i>
                                Szczegóły
                            </a>
                        </div>
                    </div>
                </div>            
            

                <?php
            }
            ?>
        </div>
        <br style='clear:both;'/>

        <?php
    } else
    {
        $last = count($products) - 1;
        ?>

        <ul class="vmproduct<?php echo $params->get('moduleclass_sfx'); ?> productdetails">
            <?php foreach ($products as $product) : ?>
                <li class="<?php echo $pwidth ?> <?php echo $float ?>">
                    <?php
                    if (!empty($product->images[0]))
                    {
                        $image = $product->images[0]->displayMediaThumb('class="featuredProductImage" border="0"', FALSE);
                    } else
                    {
                        $image = '';
                    }
                    echo JHTML::_('link', JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id), $image, array('title' => $product->product_name));
                    echo '<div class="clear"></div>';
                    $url = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' .
                                    $product->virtuemart_category_id);
                    ?>
                    <a href="<?php echo $url ?>"><?php echo $product->product_name ?></a>        <?php
                    echo '<div class="clear"></div>';
                    // $product->prices is not set when show_prices in config is unchecked
                    if ($show_price and isset($product->prices))
                    {
                        echo '<div class="product-price">' . $currency->createPriceDiv('salesPrice', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
                        if ($product->prices['salesPriceWithDiscount'] > 0)
                        {
                            echo $currency->createPriceDiv('salesPriceWithDiscount', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
                        }
                        echo '</div>';
                    }
                    if ($show_addtocart)
                    {
                        echo shopFunctionsF::renderVmSubLayout('addtocart', array('product' => $product));
                    }
                    ?>
                </li>
                <?php
                if ($col == $products_per_row && $products_per_row && $last)
                {
                    echo '
		</ul><div class="clear"></div>
		<ul  class="vmproduct' . $params->get('moduleclass_sfx') . ' productdetails">';
                    $col = 1;
                } else
                {
                    $col++;
                }
                $last--;
            endforeach;
            ?>
        </ul>
        <div class="clear"></div>

        <?php
    }
    if ($footerText) :
        ?>
        <div class="vmfooter<?php echo $params->get('moduleclass_sfx') ?>">
        <?php echo $footerText ?>
        </div>
<?php endif; ?>
</div>