<?php
defined('_JEXEC') or die('');

/**
*
* Template for the shopping cart
*
* @package	VirtueMart
* @subpackage Cart
* @author Max Milbers
*
* @link http://www.virtuemart.net
* @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

?>

<div class="address-view col-xs-12">
    <div class="header">
        <h1>Podsumowanie zamówienia</h1>        
    </div>
    <div class="text-center">
        <?php 
            echo "<h3>".vmText::_('COM_VIRTUEMART_CART_ORDERDONE_THANK_YOU')."</h3>";
            echo "<hr>";
            echo $this->html;
        ?>
        <hr>
        <h3>Możesz już teraz opłacić zamówienie.</h2>
        <div class='col-xs-6'>
            <h4>Dane do platnosci <small style='display: block; font-size: 55%;'>przelew zwykły</small></h4>
                <p>
                    <b>Sklep Medyczny Zdrowie</b><br /> 
                    <b>Bowart s.c. Z.G. Liszewscy & J.M. Żbikowscy</b><br /> 
                    ul.Bohaterów Warszawy 13/1B &nbsp;&nbsp;&nbsp;
                    11-700 Mragowo<br /> 
                    nr konta: <br /> 
                </p>
        </div>    
        <div class='col-xs-6'>
            <h4>Zapłać teraz <small style='display: block; font-size: 55%;'>szybka płatność</small></h4>
            <?php 
                preg_match_all('/<div class="post_payment_order_number" style="width: 100%">\n	<span class="post_payment_order_number_title">Numer zamówienia <\/span>(.*)<\/div>/sU', $this->html, $orderNumber); 
                $orderNumber = trim($orderNumber[1][0]);
                $db = JFactory::getDbo();
                $db->setQuery("SELECT `virtuemart_order_id` FROM `#__virtuemart_orders` WHERE `order_number` = '".$orderNumber."' ORDER BY `virtuemart_order_id` DESC");
                $db->query();
                $orderInfo  = $db->loadAssocList();
                $cr_paymentP = JPATH_SITE.DS.'libraries'.DS.'cr'.DS.'cr_eservices.php';
                require_once ($cr_paymentP); 
                $cr_payment = new cr_eservices($orderInfo[0]['virtuemart_order_id']);
                echo "<div>";
                echo $cr_payment->getStyle();
                echo $cr_payment->getPayForm();    
                echo "</div>"; 
            ?>
        </div>
    </div>
</div>
